Create / Update Client
1 min
POST
https://dev1.frontu.com//client/api/v2/clients
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/jsonexample-1
Body Parameters
- bodyobjectrequired
- titlestringrequiredDescription
- addressstringDescription
- citystringDescription
- zipCodestringDescription
- phonestringDescription
- emailstringDescription
- creditStatusstringDescription
- companyVatCodestring
- companyCodestring
- notestring
- systemIdstringDescription
- guidstringDescription
- deletedbooleanDescription
- clientTypeinteger<int32>DescriptionFormatint32
- customValuesstringDescription
- reportEmailsstringDescription
- tagsstring[]Description
Responses
201
400
- object
- codestring
- messagestring
- errorsobject
- errorsobject[]
curl
curl --request POST \
--url https://dev1.frontu.com//client/api/v2/clients \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"title": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"title": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://dev1.frontu.com//client/api/v2/clients", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://dev1.frontu.com//client/api/v2/clients")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"title": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://dev1.frontu.com//client/api/v2/clients"
payload = json.dumps({
"title": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
201
// Returned when successful
400
// Data contains errors
{
"code": "",
"message": "",
"errors": {
"errors": [
{}
]
}
}